Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Rund um AutoCAD
  Frühere Klickpunkte auswerten

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Frühere Klickpunkte auswerten (863 mal gelesen)
Plenz
Mitglied



Sehen Sie sich das Profil von Plenz an!   Senden Sie eine Private Message an Plenz  Schreiben Sie einen Gästebucheintrag für Plenz

Beiträge: 71
Registriert: 01.09.2010

ACAD Archi 2015

erstellt am: 17. Mrz. 2016 15:10    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Wahrscheinlich ist die Idee völlig bescheuert, aber ich möchte trotzdem mal fragen, ob man irgendwie auf frühere Klickpunkte zurückgreifen kann. Ich stelle mir folgendes vor:
1. ich klicke eine Polylinie an, um sie zu markieren
2. ich mache einen Rechtsklick, um das Kontextmenü aufzurufen
3. ich wähle einen Menüpunkt und klicke ihn an
4. eine AutoLISP-Funktion wird aufgerufen

Diese Funktion soll nun herausbekommen, welche Teillinie der Polylinie ursprünglich angeklickt wurde. Das Problem dabei ist, dass das Fadenkreuz inzwischen bewegt wurde, um das Kontextmenü zu bedienen. Die Funktion (grread) kann ich also nicht nutzen. Was ich brauche, sind die Koordinaten vom Anklicken der Polylinie. Gibt es da irgendwelche Möglichkeiten?

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

jupa
Ehrenmitglied V.I.P. h.c.
ehemals CAD-Trainer (ATC) und Konstrukteur (Dipl.-Ing)


Sehen Sie sich das Profil von jupa an!   Senden Sie eine Private Message an jupa  Schreiben Sie einen Gästebucheintrag für jupa

Beiträge: 5758
Registriert: 16.09.2004

Windows 7 64bit, ACAD Rel. 14 - ACAD 2020

erstellt am: 17. Mrz. 2016 15:31    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Plenz 10 Unities + Antwort hilfreich

In der Systemvariablen LASTPOINT müßten (ungetestet) die Koordinaten des Pickpunktes stehen.

Zusatz: Kannst Du das nicht anders herum aufbauen: das Lispprogramm wird gestartet, darin wir die Auswahl eines Objektes angefordert (mit (entsel)), dabei wird neben dem Elementnamen auch die Pickpunktkoordinate zurückgegeben.


Jürgen

------------------
Bildung kommt nicht vom Lesen, sondern vom Nachdenken über das Gelesene. (Carl Hilty)

[Diese Nachricht wurde von jupa am 17. Mrz. 2016 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 19237
Registriert: 03.06.2002

System: F1
und Google

erstellt am: 17. Mrz. 2016 16:59    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Plenz 10 Unities + Antwort hilfreich

LastPoint fällt aus zwei Gründen aus (beim genannten Wunsch):

Auswahl-Vor-Befehl scheitert daran das man (für gewöhnlich) den fortlaufenden Objektfang aktiviert hat,
der Klickt schickt dann nicht den "Klickpunkt" als letzte Koordinate, sondern den "Fangpunkt",
mit diesem kann man dnn nicht wirklich etwas anfangen, oder nur in 50% der Fälle ;D

Zudem wird der Klick auf ein Objekt, ohne das eine Eingabe erwartet wird, nicht als LastPoint gespeichert.
Sobald Acad eine Koorinate erwartet wird es auch protokolliert, ohne aktive Funktion/Befehl jedoch nicht.

Abschauen könnte man sich die Pickdrag, die automatische Fensterwahlmethode.
Eine Überwachung - Wird geklickt und es ist kein Befehl aktiv, befindet sich der Klick im Datei/Zeichnungsbereich und "trifft kein Objekt",
dann nehme den Punkt als 1 Klickpunkt für eine Fenster- bzw. Kreuzenfensterwahl an.
( Dieser Klickpunnkt wird dann auch in LastPoint übergeben )

Reactor der jede Eingabe in Lisp überwachen ohne das es wirklich nötig ist - muß jeder selbst wissen,
aber so würde es sicher gehen.
Wenn Klick und alle Parameter eingehalten wurden(Kein Befehl aktiv, Objekt gewählt dabei),
dann speichere die Koordinaten von GRREAD.

hmm, klingt schon beim schreiben unglücklich  )

------------------
CAD on demand GmbH - Beratung und Programmierung rund um AutoCAD

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

jupa
Ehrenmitglied V.I.P. h.c.
ehemals CAD-Trainer (ATC) und Konstrukteur (Dipl.-Ing)


Sehen Sie sich das Profil von jupa an!   Senden Sie eine Private Message an jupa  Schreiben Sie einen Gästebucheintrag für jupa

Beiträge: 5758
Registriert: 16.09.2004

Windows 7 64bit, ACAD Rel. 14 - ACAD 2020

erstellt am: 17. Mrz. 2016 17:27    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Plenz 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von cadffm:

LastPoint fällt ... aus.
... wird der Klick auf ein Objekt, ohne das eine Eingabe erwartet wird, nicht als LastPoint gespeichert.

Stimmt. Leider    (Hatte schon beim schreiben ein mulmiges Gefühl im Bauch  ).
Dann fällt mir nichts mehr dazu ein (außer wie oben schon empfohlen die "Gesamtstrategie" neu zu überdenken).


Jürgen

------------------
Bildung kommt nicht vom Lesen, sondern vom Nachdenken über das Gelesene. (Carl Hilty)

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Andreas Kraus
Mitglied
Elektrotechniker


Sehen Sie sich das Profil von Andreas Kraus an!   Senden Sie eine Private Message an Andreas Kraus  Schreiben Sie einen Gästebucheintrag für Andreas Kraus

Beiträge: 1137
Registriert: 11.01.2006

Win 10
ACAD 2019

erstellt am: 22. Mrz. 2016 17:08    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Plenz 10 Unities + Antwort hilfreich

Vielleicht einen MouseReactor installieren der sich JEDEN Klickpunkt merkt.
Die Variable könnte man dann verwenden.

Elegant ist anders ... aber wenns funktioniert.


EDIT: Mist, hab grade gesehen dass nur Doppelklick und Rechtsklick als Event zur Verfügung stehen.
Also vergiss das hier.


------------------
Geht nicht, gibts nicht

Gruß
Andreas

http://kraus-cad.de

[Diese Nachricht wurde von Andreas Kraus am 22. Mrz. 2016 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Goofy007
Mitglied
Vermessungstechniker


Sehen Sie sich das Profil von Goofy007 an!   Senden Sie eine Private Message an Goofy007  Schreiben Sie einen Gästebucheintrag für Goofy007

Beiträge: 578
Registriert: 06.11.2004

erstellt am: 23. Mrz. 2016 14:06    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Plenz 10 Unities + Antwort hilfreich

Hallo,

also bei mir (getestet Civil 2016) geht lastpoint.
Ich klicke in die Mitte einer PL um diese zu selektieren, anschließend rufe ich lastpoint auf und bekomme die Koordinaten an denen ich geklickt habe.

lg
Didi

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

jupa
Ehrenmitglied V.I.P. h.c.
ehemals CAD-Trainer (ATC) und Konstrukteur (Dipl.-Ing)


Sehen Sie sich das Profil von jupa an!   Senden Sie eine Private Message an jupa  Schreiben Sie einen Gästebucheintrag für jupa

Beiträge: 5758
Registriert: 16.09.2004

Windows 7 64bit, ACAD Rel. 14 - ACAD 2020

erstellt am: 23. Mrz. 2016 14:46    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Plenz 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von Goofy007:

also bei mir (getestet Civil 2016) geht lastpoint.

Gelesen hab ich's wohl, allein mir fehlt der Glaube.
Ich will Deine Aussage nicht unbedingt in Frage stellen (vllt. ist das ja eine Besonderheit in Civil), aber Du solltest es nochmals testen.
(Ich hatte selbst so einen dilettantischen Handlingfehler: erst mit ID informiert, welche Koordinate ein Punkt an einer Polylinie hat, dann die Polylinie an dieser Stelle nochmals gepickt und gefreut, daß in LASTPOINT die erwarteten Werte standen. Habe erst später gemerkt, daß das die von ID protokollierte Koordinate war.   )

Jürgen

------------------
Bildung kommt nicht vom Lesen, sondern vom Nachdenken über das Gelesene. (Carl Hilty)

[Diese Nachricht wurde von jupa am 23. Mrz. 2016 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Goofy007
Mitglied
Vermessungstechniker


Sehen Sie sich das Profil von Goofy007 an!   Senden Sie eine Private Message an Goofy007  Schreiben Sie einen Gästebucheintrag für Goofy007

Beiträge: 578
Registriert: 06.11.2004

erstellt am: 23. Mrz. 2016 15:03    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Plenz 10 Unities + Antwort hilfreich

Hallo Jürgen,

ich hab nun auch im Map 3D und im nackten AutoCAD (alle 3 kommen aus einer Infrastructur Suite) getestet.

Vorgang: Neue Zeichnung, Zeichen Polylinie von 0,0 zu 100,0 zu 150,50.
Picke die PL ungefähr in der Mitte der ersten Linie an. Die PL wird markiert, Griffe werden sichtbar.
Tippe Lastpoint in die Befehlszeile. Ergebnis:

Befehl:
Befehl: LASTPOINT
Neuen Wert für LASTPOINT eingeben <47.2047,-0.0444,0.0000>:

ESC --> Klicke in die Mitte der 2. Linie -->
Befehl: LASTPOINT
Neuen Wert für LASTPOINT eingeben <124.4021,24.7834,0.0000>:

Wenn ich nicht irgendwas falsch verstanden habe, dann geht das bei mir.

Neuer Versuch: Starte leere Zeichnung. Lastpoint = 0,0,0. Klicke in die leere Zeichnung. Lastpoint bekommt Koordinaten.
Also erfasst (mein) Acad auch Punkte wenn ich klicke ohne das Acad einen Befehl ausführt.


lg
Didi


Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

jupa
Ehrenmitglied V.I.P. h.c.
ehemals CAD-Trainer (ATC) und Konstrukteur (Dipl.-Ing)


Sehen Sie sich das Profil von jupa an!   Senden Sie eine Private Message an jupa  Schreiben Sie einen Gästebucheintrag für jupa

Beiträge: 5758
Registriert: 16.09.2004

Windows 7 64bit, ACAD Rel. 14 - ACAD 2020

erstellt am: 23. Mrz. 2016 15:45    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Plenz 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von Goofy007:

Also erfasst (mein) Acad auch Punkte wenn ich klicke ohne das Acad einen Befehl ausführt.

Ok, ich glaubs mal. Im puren AutoCAD ist das nicht nachvollziehbar.


Jürgen

------------------
Bildung kommt nicht vom Lesen, sondern vom Nachdenken über das Gelesene. (Carl Hilty)

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Goofy007
Mitglied
Vermessungstechniker


Sehen Sie sich das Profil von Goofy007 an!   Senden Sie eine Private Message an Goofy007  Schreiben Sie einen Gästebucheintrag für Goofy007

Beiträge: 578
Registriert: 06.11.2004

erstellt am: 23. Mrz. 2016 15:57    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Plenz 10 Unities + Antwort hilfreich

Hallo Jürgen,

ja leider ist AutoCAD nicht AutoCAD deshalb das "(mein)" ....
... ich hatte kürzlich auch Probleme, weil Map 3D mit geladenem RasterDesign anders selektiert als ohne ...

lg
Didi

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2019 CAD.de | Impressum | Datenschutz